package com.prolog.upcloud.base.wh.operate.model;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description  盘点主表
 * @Date 2021-04-07
 */
@ApiModel
@Table ( value ="wms_inv_check_h" )
public class WmsInvCheckH  implements Serializable {
	private static final long serialVersionUID =  3073178291478187214L;
	@Id
	@Column(value = "check_header_id")
	private String checkHeaderId;

	@Column(value = "auto_bill_num")
	private String autoBillNum;

	@Column(value = "custom_bill_num")
	private String customBillNum;

	@Column(value = "check_date")
	private Date checkDate;

	@ApiModelProperty(value = "企业id")
	@Column(value = "enterprise_id")
	private String enterpriseId;

	@ApiModelProperty(value = "仓配中心ID")
	@Column(value = "dc_id")
	private String dcId;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_id")
	private String warehouseId;

	@ApiModelProperty(value = "货主ID")
	@Column(value = "cargo_owner_id")
	private String cargoOwnerId;

	@Column(value = "status")
	private String status;

	@Column(value = "access_level")
	private String accessLevel;

	@Column(value = "check_method")
	private String checkMethod;

	@ApiModelProperty(value = "是否已回传 默认Y")
	@Column(value = "post_flag")
	private String postFlag;

	@ApiModelProperty(value = "是否批号盘点 默认Y")
	@Column(value = "batch_flag")
	private String batchFlag;

	@Column(value = "segment1")
	private String segment1;

	@Column(value = "segment2")
	private String segment2;

	@Column(value = "segment3")
	private String segment3;

	@Column(value = "segment4")
	private String segment4;

	@Column(value = "segment5")
	private String segment5;

	@Column(value = "gmt_create")
	private Date gmtCreate;

	@Column(value = "creator")
	private String creator;

	@Column(value = "creator_name")
	private String creatorName;

	@Column(value = "gmt_modified")
	private Date gmtModified;

	@Column(value = "modifier")
	private String modifier;

	@Column(value = "modifier_name")
	private String modifierName;

	@Column(value = "print_count")
	private BigDecimal printCount;

	@Column(value = "attribute1")
	private String attribute1;

	@Column(value = "attribute2")
	private String attribute2;

	@Column(value = "attribute3")
	private String attribute3;

	@Column(value = "attribute4")
	private String attribute4;

	@Column(value = "attribute5")
	private String attribute5;

	@Column(value = "comments")
	private String comments;

	@Column(value = "audit_date")
	private Date auditDate;

	@Column(value = "audited_name")
	private String auditedName;

	@Column(value = "audited_by")
	private String auditedBy;

	@Column(value = "print_date")
	private Date printDate;

	@Column(value = "printed_by")
	private String printedBy;

	@Column(value = "printed_name")
	private String printedName;

//	@ApiModelProperty(value = "盘点方式")
//	@Column(value = "check_way")
//	private String checkWay;

	@ApiModelProperty(value = "盘点类型")
	@Column(value = "check_type")
	private String checkType;


//	public String getCheckWay() {
//		return checkWay;
//	}
//
//	public void setCheckWay(String checkWay) {
//		this.checkWay = checkWay;
//	}

	public String getCheckType() {
		return checkType;
	}

	public void setCheckType(String checkType) {
		this.checkType = checkType;
	}


	public String getCheckHeaderId() {
		return this.checkHeaderId;
	}

	public void setCheckHeaderId(String checkHeaderId) {
		this.checkHeaderId = checkHeaderId;
	}

	public String getAutoBillNum() {
		return this.autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getCustomBillNum() {
		return this.customBillNum;
	}

	public void setCustomBillNum(String customBillNum) {
		this.customBillNum = customBillNum;
	}

	public Date getCheckDate() {
		return this.checkDate;
	}

	public void setCheckDate(Date checkDate) {
		this.checkDate = checkDate;
	}

	public String getEnterpriseId() {
		return this.enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getDcId() {
		return this.dcId;
	}

	public void setDcId(String dcId) {
		this.dcId = dcId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getCargoOwnerId() {
		return this.cargoOwnerId;
	}

	public void setCargoOwnerId(String cargoOwnerId) {
		this.cargoOwnerId = cargoOwnerId;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAccessLevel() {
		return this.accessLevel;
	}

	public void setAccessLevel(String accessLevel) {
		this.accessLevel = accessLevel;
	}

	public String getCheckMethod() {
		return this.checkMethod;
	}

	public void setCheckMethod(String checkMethod) {
		this.checkMethod = checkMethod;
	}

	public String getPostFlag() {
		return this.postFlag;
	}

	public void setPostFlag(String postFlag) {
		this.postFlag = postFlag;
	}

	public String getBatchFlag() {
		return this.batchFlag;
	}

	public void setBatchFlag(String batchFlag) {
		this.batchFlag = batchFlag;
	}

	public String getSegment1() {
		return this.segment1;
	}

	public void setSegment1(String segment1) {
		this.segment1 = segment1;
	}

	public String getSegment2() {
		return this.segment2;
	}

	public void setSegment2(String segment2) {
		this.segment2 = segment2;
	}

	public String getSegment3() {
		return this.segment3;
	}

	public void setSegment3(String segment3) {
		this.segment3 = segment3;
	}

	public String getSegment4() {
		return this.segment4;
	}

	public void setSegment4(String segment4) {
		this.segment4 = segment4;
	}

	public String getSegment5() {
		return this.segment5;
	}

	public void setSegment5(String segment5) {
		this.segment5 = segment5;
	}

	public Date getGmtCreate() {
		return this.gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public String getCreator() {
		return this.creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getCreatorName() {
		return this.creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Date getGmtModified() {
		return this.gmtModified;
	}

	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}

	public String getModifier() {
		return this.modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getModifierName() {
		return this.modifierName;
	}

	public void setModifierName(String modifierName) {
		this.modifierName = modifierName;
	}

	public BigDecimal getPrintCount() {
		return this.printCount;
	}

	public void setPrintCount(BigDecimal printCount) {
		this.printCount = printCount;
	}

	public String getAttribute1() {
		return this.attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return this.attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getAttribute3() {
		return this.attribute3;
	}

	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}

	public String getAttribute4() {
		return this.attribute4;
	}

	public void setAttribute4(String attribute4) {
		this.attribute4 = attribute4;
	}

	public String getAttribute5() {
		return this.attribute5;
	}

	public void setAttribute5(String attribute5) {
		this.attribute5 = attribute5;
	}

	public String getComments() {
		return this.comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public Date getAuditDate() {
		return this.auditDate;
	}

	public void setAuditDate(Date auditDate) {
		this.auditDate = auditDate;
	}

	public String getAuditedName() {
		return this.auditedName;
	}

	public void setAuditedName(String auditedName) {
		this.auditedName = auditedName;
	}

	public String getAuditedBy() {
		return this.auditedBy;
	}

	public void setAuditedBy(String auditedBy) {
		this.auditedBy = auditedBy;
	}

	public Date getPrintDate() {
		return this.printDate;
	}

	public void setPrintDate(Date printDate) {
		this.printDate = printDate;
	}

	public String getPrintedBy() {
		return this.printedBy;
	}

	public void setPrintedBy(String printedBy) {
		this.printedBy = printedBy;
	}

	public String getPrintedName() {
		return this.printedName;
	}

	public void setPrintedName(String printedName) {
		this.printedName = printedName;
	}

}
